package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF8D4 extends MwfRequest<MWF8D4, MWF8D4Response> {

    @Parameter(name = "AddressCountry")
    MWF8D4 addressCountry(String addressCountry);
    @Parameter(name = "AddressEmpCity")
    MWF8D4 addressEmpCity(String addressEmpCity);
    @Parameter(name = "AddressEmpHouseNumber")
    MWF8D4 addressEmpHouseNumber(String addressEmpHouseNumber);
    @Parameter(name = "AddressEmpLandRegistryNumber")
    MWF8D4 addressEmpLandRegistryNumber(String addressEmpLandRegistryNumber);
    @Parameter(name = "AddressEmpStreet")
    MWF8D4 addressEmpStreet(String addressEmpStreet);
    @Parameter(name = "AddressEmpZipCode")
    MWF8D4 addressEmpZipCode(String addressEmpZipCode);
    @Parameter(name = "AppKey")
    MWF8D4 appKey(Long appKey);
    @Parameter(name = "CIF")
    MWF8D4 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF8D4 channelId(String channelId);
    @Parameter(name = "DependPersonsCount")
    MWF8D4 dependPersonsCount(Long dependPersonsCount);
    @Parameter(name = "EducationType")
    MWF8D4 educationType(String educationType);
    @Parameter(name = "EmploymentId")
    MWF8D4 employmentId(String employmentId);
    @Parameter(name = "EmploymentName")
    MWF8D4 employmentName(String employmentName);
    @Parameter(name = "EmploymentSince")
    MWF8D4 employmentSince(java.util.Date employmentSince);
    @Parameter(name = "EmploymentTrial")
    MWF8D4 employmentTrial(Long employmentTrial);
    @Parameter(name = "EmploymentType")
    MWF8D4 employmentType(String employmentType);
    @Parameter(name = "IncomeAverageThreeMonths")
    MWF8D4 incomeAverageThreeMonths(Double incomeAverageThreeMonths);
    @Parameter(name = "IncomeFamily")
    MWF8D4 incomeFamily(Double incomeFamily);
}
